Package com.google.android.exoplayer2.mediacodec

## Interface MediaCodecSelector

-     public interface MediaCodecSelector

  Selector of `MediaCodec` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MediaCodecSelector` | `DEFAULT` | Default implementation of `MediaCodecSelector`, which returns the preferred decoder for the given format.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<MediaCodecInfo>` | `getDecoderInfos​(String mimeType, boolean requiresSecureDecoder, boolean requiresTunnelingDecoder)` | Returns a list of decoders that can decode media in the specified MIME type, in priority order.

- - ### Field Detail

    - #### DEFAULT

          static final MediaCodecSelector DEFAULT

      Default implementation of `MediaCodecSelector`, which returns the preferred decoder for the given format.

  - ### Method Detail

    - #### getDecoderInfos

          List<MediaCodecInfo> getDecoderInfos​(String mimeType,
                                               boolean requiresSecureDecoder,
                                               boolean requiresTunnelingDecoder)
                                        throws MediaCodecUtil.DecoderQueryException

      Returns a list of decoders that can decode media in the specified MIME type, in priority order.
      Parameters:
        `mimeType` - The MIME type for which a decoder is required.
        `requiresSecureDecoder` - Whether a secure decoder is required.
        `requiresTunnelingDecoder` - Whether a tunneling decoder is required.
      Returns:
        An unmodifiable list of `MediaCodecInfo`s corresponding to decoders. May be empty.
      Throws:
        `MediaCodecUtil.DecoderQueryException` - Thrown if there was an error querying decoders.